Subject: Re: bug#10261: 24.0.92; The "dist" makefile target & the "--distfiles" configure option

From: Christoph Scholtes <[email-masked]>
Date: Wed, 15 Feb 2012 20:08:03 -0700

On 2/15/2012 11:50 AM, Dani Moncayo wrote:

> The following patch should fix this problem:
>
> === modified file 'nt/makefile.w32-in'
> --- nt/makefile.w32-in  2012-02-05 20:14:54 +0000
> +++ nt/makefile.w32-in  2012-02-15 18:32:45 +0000
> @@ -264,7 +264,7 @@
>
>   maybe-copy-distfiles-SH: doit
>          @if [ ! $(ARGQUOTE)$(DIST_FILES)$(ARGQUOTE)=="" ] ; then \
> -         $(CP_DIR) $(DIST_FILES) $(TMP_DIST_DIR)/bin
> +         $(CP_DIR) $(DIST_FILES) $(TMP_DIST_DIR)/bin ; \
>          fi
>
>   create-tmp-dist-dir:

Thank you for debugging my bugging. :)

> One question, BTW: if we have the $(ARGQUOTE) variable to stand for a
> suitable/shell-specific quote, why don't we use it in the right side
> of the "==" too?  i.e., why don't we do:
>    @if [ ! $(ARGQUOTE)$(DIST_FILES)$(ARGQUOTE)==$(ARGQUOTE)$(ARGQUOTE) ] ; then \
> instead of
>    @if [ ! $(ARGQUOTE)$(DIST_FILES)$(ARGQUOTE)=="" ] ; then \
> ?

IIRC, I took the ARGQUOTE piece from some other piece of some Windows 
makefile. I now remember that didn't have any way to test the sh 
behavior since I use cmd.exe. Thanks again for working on this.

Christoph